summaryrefslogtreecommitdiffstats
path: root/ubuntu/lucid_automake/kdebase/debian/kdm-kde3.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu/lucid_automake/kdebase/debian/kdm-kde3.preinst')
-rw-r--r--ubuntu/lucid_automake/kdebase/debian/kdm-kde3.preinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/ubuntu/lucid_automake/kdebase/debian/kdm-kde3.preinst b/ubuntu/lucid_automake/kdebase/debian/kdm-kde3.preinst
new file mode 100644
index 000000000..636c7d840
--- /dev/null
+++ b/ubuntu/lucid_automake/kdebase/debian/kdm-kde3.preinst
@@ -0,0 +1,29 @@
+#! /bin/sh -e
+
+case "$1" in
+
+ upgrade)
+ rm -f /etc/kde3/debian/kdm-update-menu.sh
+ rm -f /etc/kde3/debian/kdm.options
+ rm -f /etc/kde3/kdm/pixmaps/XFree86bw.xpm
+ rm -f /etc/kde3/kdm/pixmaps/XFree86.xpm
+ rm -f /etc/kde3/kdm/Xresources
+ rm -f /etc/menu-methods/kdm
+ ;;
+
+ install)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0